Zur Boardunity Forenstartseite
  #1  
Alt 25.03.2004, 20:33
Benutzerbild von Fabchan
früher Dracaelius
 
Registriert seit: 10.2003
Ort: Seesen
Beiträge: 354

Ersatz für PHP-Module


Hi Leute!
Neulich hatte ich mit PHP ein Problem zu lösen:
Ich sollte bei mir localhost bei der Programmierung einer Bildergalerie im Adminbereich die Möglichkeit einbauen, dass man die Bilder in ZIP-Dateien per Formular hochladen kann. Dies hat folgende Vorteile:
- Die Dateien sind komprimiert
- Man kann mehrere Bilder auf einmal hochladen

Da die ZIP-Library weder bei mir noch bei meinem Provider so richtig funktionieren wollte, hatte ich auch schnell auf (www.PHP.net)eine Lösung gefunden:
Die m-zip-library: http://esurfers.com/m-zip/
Die funktioniert so, dass das PHP-Skript eine Exe-Datei mit verschiedenden Parametern aufruft! Nicht schlecht ansich, wenn PHP mal ein paar Extensions fehlen.

Bei vielen Providern (auch bei meinem ) ist leider noch die GD-Library 1 installiert, die - wie allgemein bekannt sein sollte - keine wahnsinnig guten Ergebnisse erzielt.

Kennt jemand von euch einen Ersatz für die GD-Library? Würde mir bei meiner Arbeit echt helfen!
__________________
Fabian Michael
"Ein Tag, an dem du nicht lächelst, ist ein verlorener Tag."
- Charlie Chaplin

Wiki
  #2  
Alt 25.03.2004, 20:45
Mitglied
 
Registriert seit: 03.2004
Beiträge: 40
Dann sollte Dein Provider mal seine Installation auf den neuesten Stand bringen. Ich find das sowieso so bescheuert, dass viele Provider nicht in der Lage sind, Ihre Programme aktuell zu halten. In den aktuellen PHP Distributionen ist auch die aktuelle GD drin. Wenn er das nicht kann, soltest Du Dir ganz schnell wen anders suchen. Die Entwickler von PHP/MySQL usw. machen ja keine neuen Programmversionen, weil so gerne Zahlen ändern.

So sollte es aussehen: http://67.15.0.54/info.php

  #3  
Alt 25.03.2004, 21:17
Benutzerbild von Fabchan
früher Dracaelius
 
Registriert seit: 10.2003
Ort: Seesen
Beiträge: 354
Sieht nicht schlecht aus bei dir, bei 1und1 sieht's leider nicht so rosig aus!

http://www.draconum.de/phpinfo.php
(Man beachte die Angaben bei GB Library)

__________________
Fabian Michael
"Ein Tag, an dem du nicht lächelst, ist ein verlorener Tag."
- Charlie Chaplin

Wiki
  #4  
Alt 25.03.2004, 21:38
Mitglied
 
Registriert seit: 03.2004
Beiträge: 40
MySQL 3.23.49!?

Kamen danach nicht mindestens 8 Versionen mit kritischen Updates und schweren Sicherheitslücken? Ich denk mal nach 2 Jahren sollte man auch mal wieder die PHP Version updaten. Unter den Bedingungen solltest Du echt mal überlegen, ob Deine Daten nicht woanders sicherer untergebracht sind!

  #5  
Alt 26.03.2004, 12:46
Benutzerbild von Fabchan
früher Dracaelius
 
Registriert seit: 10.2003
Ort: Seesen
Beiträge: 354
Den Speicherplatz teile ich mir mit anderen Leuten, die das Ganze auch finanzieren und nicht umziehen wollen! Für lau ist das immer ncoh besser als gar ncihts. Habe auch schon einen Beschwerdebrief hingeschrieben. Ohne Antwort. Frag mich, warum die soviele Kunden haben bei den unverschämten Preisen und der schlechten Serverpflege!

Off-Topic:

PS: Wird mein Avatar bei euch eigentlich richtig angezeigt, ist nämlich ein PNG-24! Habe gehört, einige Browser haben damit ernsthafte Probleme!

__________________
Fabian Michael
"Ein Tag, an dem du nicht lächelst, ist ein verlorener Tag."
- Charlie Chaplin

Wiki
  #6  
Alt 26.03.2004, 13:37
Mitglied
 
Registriert seit: 02.2004
Ort: Leipzig
Beiträge: 61
Zitat:
Zitat von Oliver
Ich find das sowieso so bescheuert, dass viele Provider nicht in der Lage sind, Ihre Programme aktuell zu halten.
Ja, weil Scripte dann teilweise nicht mehr richtig funktionieren... Allerdings bin ich natürlich auch der Meinung das Sicherheits-Patches ein Muss sind.

Bei all-inkl.com z.B. kann man sich kostenfrei auf einen anderen Server verlegen lassen, auf dem dann aktuelle Versionen sind.

  #7  
Alt 26.03.2004, 16:36
Mitglied
 
Registriert seit: 03.2004
Beiträge: 40
Zitat:
Ja, weil Scripte dann teilweise nicht mehr richtig funktionieren... Allerdings bin ich natürlich auch der Meinung das Sicherheits-Patches ein Muss sind.
Inwiefern ist denn ein Update bei PHP wirksam auf die Funktionsfähigkeit eines Sciptes? Ich weiss, dass es Probleme mit PHP Updates gibt, wenn die php.ini danach nicht nochmal durchgesehen wird. Ich sach mal ... Register Globals

Wenn Programmierer Ihre Programme nicht auf alle halbwegs aktuellen PHP Versionen ausrichten egal bei welcher Konfiguration (SafeMode oder Globale Variablen), haben die auch leicht den Beruf verfehlt. Das ist genauso, wie die Helden, die nur für IE schreiben können.

Antwort


Stichworte
-

Themen-Optionen
Thema bewerten
Thema bewerten:

Forumregeln
Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.
Gehe zu

Ähnliche Themen
Thema Autor Forum Antworten Letzter Beitrag
Gutes php Wiki Daniel Richter Blog, CMS, Wiki und Sonstige 21 13.12.2009 11:56
Zend's PHP 5 Programmierwettbewerb... Fabchan Programmierung und Datenbanken 9 14.07.2004 21:37
Das PHP Forum 4 all ShadowByte Projektvorstellung und Bewertung 4 22.06.2003 20:12






1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24